Subject: Re: Kernel oops with 2.6.26, padlock and ipsec: probably problem with fpu state changes

From: Suresh Siddha <[email-masked]>
Date: Sat, 9 Aug 2008 10:48:21 -0700

On Fri, Aug 08, 2008 at 05:38:30PM -0700, Herbert Xu wrote:
> On Fri, Aug 08, 2008 at 04:11:21PM -0700, Suresh Siddha wrote:
> >
> > As I can't test, can you please test this and Ack.
> 
> Someone please test this with tcrypt mode=200 with and without
> the patch.

Yes. I mean both perf and stability tests when I meant by "test".

> If there is a significant degradation I suggest that we back out
> the FPU changes.  Making your competitor's processor go slow is
> not a nice thing to do, especially when you've just released a
> processor in the same space.

Please be assured that I would like to close/adddress all the perf and
stability issues and it doesn't matter whose processor it is ;)